<!SGML "ISO 8879:1986"

   CHARSET                       --DOCUMENT CHARACTER SET--
      BASESET
      "ISO 646-1983//CHARSET
      International Reference Version (IRV)//ESC 2/5 4/0"
      DESCSET
          0   9   UNUSED
          9   2    9
         11   2   UNUSED
         13   1   13
         14  18   UNUSED
         32  95   32
        127   1   UNUSED

   CAPACITY SGMLREF
            ENTCAP   3311
            ENTCHCAP 3311
            ELEMCAP  3311
            GRPCAP   3311
            EXGRPCAP 3311
            EXNMCAP  3311
            ATTCAP   3311
            ATTCHCAP 3311
            AVGRPCAP 3311
            NOTCAP   3311
            NOTCHCAP 3311
            IDCAP    3311
            IDREFCAP 3311
            MAPCAP   3311
            LKSETCAP 3311
            LKNMCAP  3311
            TOTALCAP 3311 --One less than the combined
                            total capacities.  Can't be more
                            than any individual capacity so
                            set those to this level--

   SCOPE DOCUMENT

   SYNTAX
SHUNCHAR  CONTROLS
          0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
          18 19 20 21 22 23 24 25 26 27 28 29 30 31 127 255
BASESET   "ISO 646-1983//CHARSET
           International Reference Version (IRV)//ESC 2/5 4/0"
DESCSET   0 128 0
FUNCTION  RE                13
          RS                10
          SPACE             32
          TAB      SEPCHAR   9
NAMING    LCNMSTRT ""
          UCNMSTRT ""
          LCNMCHAR "-."     -- Lower-case hyphen, period are --
          UCNMCHAR "-."     -- same as upper case (45 46).   --
          NAMECASE GENERAL  YES
                   ENTITY   NO
DELIM     GENERAL  SGMLREF
          SHORTREF SGMLREF
NAMES     SGMLREF
QUANTITY  SGMLREF
         NORMSEP       3
         NAMELEN       32

   FEATURES
         MINIMIZE
            DATATAG  YES
            OMITTAG  YES
            RANK     NO
            SHORTTAG YES
         LINK
            SIMPLE   NO
            IMPLICIT NO
            EXPLICIT NO
         OTHER
            CONCUR   NO
            SUBDOC   YES 3
            FORMAL   YES

   APPINFO NONE
>
<!DOCTYPE gcrfig51 [
<!-- Categories:
capacity
document instance
sgml declaration
-->
<!-- It is reported when the "TOTALCAP" capacity is exceeded
     and NAMELEN and NORMSEP do not have the reference quantity
     set values.
     Other tests show the other capacities are being calculated
     correctly.  A non-zero value for each individual capacity
     is used here to create a TOTALCAP that is exceeded.
     NAMELEN is changed to 32, NORMSEP is changed to 3.

     ENTCAP
     Add NAMELENs for each entity declared.
     1 x NAMELEN = 32 ENTCAP capacity points total.

     ENTCHCAP
     Add number of characters of entity text declared.
     11 ENTCHCAP capacity points.

     ELEMCAP
     Add NAMELENs for elements declared.
     4 x NAMELEN = 128 ELEMCAP capacity points.

     GRPCAP
     Add NAMELENS for each content token at any level of
     the content model.  A data tag group is three tokens.
     "ANY" is not a content token.  There are 3 model groups
     and 3 primitive content tokens that are not data tag groups,
     making 6 content tokens.
     (6 x NAMELEN) = 192 GRPCAP capacity points.

     EXGRPCAP
     NAMELEN for each exception group.
     2 x NAMELEN = 64 EXGRPCAP capacity points.

     EXNMCAP
     NAMELEN for each name in an exception group.
     2 x NAMELEN = 64 EXNMCAP capacity points.

     ATTCAP
     NAMELEN for each attribute defined plus the attribute
     in the entity declaraion of a associated notation name.
     7 attributes defined.
     7 x NAMELEN = 224 ATTCAP capacity points.

     ATTCHCAP
     1 point for each normalized character defined as the
     default value plus attribute characters explicitely defined
     in a data attribute specification.
     gcr-a7 has the capacity of the number of characters in the literal
     plus NORMSEP.  gcr-a3 has the capacity of the number of
     characters in the value plus NORMSEP.
     11 + NORMSEP + 6 + NORMSEP = 23 ATTCHCAP capacity points.

     AVGRPCAP
     NAMELEN for each token in an attribute value name group
     or name token group.
     NAMELEN for gcr-v7 and gcr-v8 equals
     64 AVGRPCAP capacity points.

     NOTCAP
     NAMELEN for each data content notation defined.
     3 x NAMELEN = 96 NOTCAP capacity points.

     NOTCHCAP
     1 point for each character in a notation identifier.
     gcr-n1 has 9 points.
     gcr-n2 has no identifier, no points
     gcr-n3 has 37 points.
     46 NOTCHCAP capacity points.

     IDCAP
     NAMELEN for each ID attribute value specified.
     NAMELEN for gcr-v4, gcr-v5, gcr-v6.
     NAMELEN x 3 = 96 IDCAP capacity points.

     IDREFCAP
     NAMELEN for each IDREF attribute value specified
     or defaulted.
     NAMELEN for gcr-v1, gcr-v2, gcr-v3, gcr-v4, and the
     defaulted value for gcr-g3.
     NAMELEN x 5 = 160 IDREFCAP capacity points.

     MAPCAP
     NAMELEN for each short reference map declared plus,
     for each map declared.
     NAMELEN for each short reference delimiter in the concrete syntax.
     There are 32 short reference delimiters in the
     reference concrete syntax.
     2 x NAMELEN + (2 x ((32 x NAMELEN)) = 2112 MAPCAP capacity points.

     LKSETCAP
     LKNMCAP
     Link is not supported.  No capacity points used.

     TOTALCAP
     32 + 11 + 128 + 192 + 64 + 64 + 224 + 23 + 64 + 96 + 46 + 96 + 160 +
     2112 = 3312 TOTALCAP capacity points.
     Created 02/14/91 MCNUTT  -->
<!ELEMENT gcrfig51 - - ANY >
<!ELEMENT gcr-g1   - - (#PCDATA) -(gcr-g2) +(gcr-g3)>
<!ELEMENT gcr-g2   - - (#PCDATA) >
<!ELEMENT gcr-g3   - - (#PCDATA) >
<!ATTLIST gcr-g1 gcr-a1 IDREF  #IMPLIED
                 gcr-a4 ID     #IMPLIED >
<!ATTLIST gcr-g2 gcr-a2 IDREFS #IMPLIED
                 gcr-a5 ID     #IMPLIED >
<!ATTLIST gcr-g3 gcr-a3 IDREF  #FIXED gcr-v1>
<!SHORTREF gcr-s1  '+'  gcr-e1 >
<!SHORTREF gcr-s2  '%'  gcr-e1 >
<!ENTITY   gcr-e1 'entity text' >
<!NOTATION gcr-n1 SYSTEM 'gcre1.ent'>
<!NOTATION gcr-n2 SYSTEM >
<!NOTATION gcr-n3 PUBLIC "ISO 646-1983//NOTATION a notation//EN" >
<!ATTLIST #NOTATION gcr-n1 gcr-a6 (gcr-v7, gcr-v8) #IMPLIED >
<!ATTLIST #NOTATION gcr-n2 gcr-a7 CDATA 'cdata  here' >
]>
<gcrfig51><gcr-g1 gcr-a1=gcr-v1 gcr-a4=gcr-v4></gcr-g1>
<gcr-g1 gcr-a1=gcr-v2 gcr-a4=gcr-v5></gcr-g1>
<gcr-g2 gcr-a2="gcr-v3 gcr-v4" gcr-a5=gcr-v6></gcr-g2>
<gcr-g3></gcr-g3>
</gcrfig51>
